public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Patrick Lauer" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-db/pgpool2/
Date: Sun, 28 Feb 2016 20:18:00 +0000 (UTC)	[thread overview]
Message-ID: <1456690619.a7cda3201d7148a07717613419fe2a343904736d.patrick@gentoo> (raw)

commit:     a7cda3201d7148a07717613419fe2a343904736d
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 28 20:13:03 2016 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sun Feb 28 20:16:59 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7cda320

dev-db/pgpool2: Bump

Package-Manager: portage-2.2.27

 dev-db/pgpool2/Manifest             |   1 +
 dev-db/pgpool2/pgpool2-3.3.8.ebuild | 108 ++++++++++++++++++++++++++++++++++++
 2 files changed, 109 insertions(+)

diff --git a/dev-db/pgpool2/Manifest b/dev-db/pgpool2/Manifest
index cbaabe7..80902c2 100644
--- a/dev-db/pgpool2/Manifest
+++ b/dev-db/pgpool2/Manifest
@@ -1,3 +1,4 @@
 DIST pgpool-II-3.2.5.tar.gz 1643267 SHA256 aecac952fd3d292584c9aa359d72f89b144c29f45c9f848cb030e46215a814f7 SHA512 c6dd033462de7f56724f7416fca3ee3e25835f113604fb03b97deee2e3ab25a07cfd9aea33ec36211aa0ec41c2bcea31ca9befe0cfe8f6389a39c2f6495388b6 WHIRLPOOL 5db077d51c5aa8692ba23c0f5ad3b3291c42448724cf633db13850d9b22df256c2aedc15b95fe74a33e486e09f4cc6a37daed0d39becff38acd40fa52b78ab8d
 DIST pgpool-II-3.3.6.tar.gz 1812394 SHA256 8e0a9829122ed96793b4c340799d62778eb4176ee0f93288d8d4100fc620ff0e SHA512 64edf6ee96fc18bccaf72e79dc165318587da49f45f7d9748e051a9b87f1938b79eefc020a70f1be31fdf922e6d646710105d97961aef1e0c1538b29cdb0575c WHIRLPOOL a4bfc20115e3a17474e9d57c5abec48ca613568f9e5dcea171a39a114dc5ef3ad59ecd7fba4f0cad703bf6f3dcf7fb1d9dea7b30faa818403bf450f8df10a7c3
 DIST pgpool-II-3.3.7.tar.gz 1808677 SHA256 b1bfc8c48be252f6c4e54521d24a0e28e86d0027b18aa4ccf6b8405508319032 SHA512 814f8a59ed8488a3ab049cc31ee4579ec954672f4cbca9102d8aa4d18dd2c169fd16518461cbcab24c28394c629234c54d9799d6df9f3ffdf0c57c56dfb2d094 WHIRLPOOL b8ca5e6689d1ac947b2da45c601c3206653b9ae5a181bd63f667a3df6ceecc012621ba4349671caa2e0d1ad371409e046b278e9a6b558786aa7ceed6583ccd9f
+DIST pgpool-II-3.3.8.tar.gz 1809180 SHA256 660c8b0c6e8be3d0f1120f2a648d08d4f9de1635dba9734d08ab912347675a4b SHA512 afaf4a74da3dc65cff9dedfcdd4f73e13b45f956e5252e6c2e930956bc9308f6a7c0e40d8b1fc0952a87a015c1bd1c7933f3a11cc366a20f3465537d47d24c32 WHIRLPOOL e359290e4beff0cb5ba45ade6ec4361c44182eeb8aae73116f97a07b10ecd06c3e237a15a6d917cddac22ebb7beacd5e1e59645f682016a5ca2f21c9793ac37e

diff --git a/dev-db/pgpool2/pgpool2-3.3.8.ebuild b/dev-db/pgpool2/pgpool2-3.3.8.ebuild
new file mode 100644
index 0000000..c2cff65
--- /dev/null
+++ b/dev-db/pgpool2/pgpool2-3.3.8.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+MY_P="${PN/2/-II}-${PV}"
+
+inherit base user
+
+DESCRIPTION="Connection pool server for PostgreSQL"
+HOMEPAGE="http://www.pgpool.net/"
+SRC_URI="http://www.pgpool.net/download.php?f=${MY_P}.tar.gz -> ${MY_P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+
+IUSE="memcached pam ssl static-libs"
+
+RDEPEND="
+	dev-db/postgresql
+	memcached? ( dev-libs/libmemcached )
+	pam? ( sys-auth/pambase )
+	ssl? ( dev-libs/openssl )
+"
+DEPEND="${RDEPEND}
+	sys-devel/bison
+	!!dev-db/pgpool
+"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+	enewgroup postgres 70
+	enewuser pgpool -1 -1 -1 postgres
+
+	# We need the postgres user as well so we can set the proper
+	# permissions on the sockets without getting into fights with
+	# PostgreSQL's initialization scripts.
+	enewuser postgres 70 /bin/bash /var/lib/postgresql postgres
+}
+
+src_prepare() {
+	epatch "${FILESDIR}/pgpool_run_paths.patch"
+
+	local pg_config_manual="$(pg_config --includedir)/pg_config_manual.h"
+	local pgsql_socket_dir=$(grep DEFAULT_PGSOCKET_DIR "${pg_config_manual}" | \
+		sed 's|.*\"\(.*\)\"|\1|g')
+	local pgpool_socket_dir="$(dirname $pgsql_socket_dir)/pgpool"
+
+	sed "s|@PGSQL_SOCKETDIR@|${pgsql_socket_dir}|g" \
+		-i *.conf.sample* pool.h || die
+
+	sed "s|@PGPOOL_SOCKETDIR@|${pgpool_socket_dir}|g" \
+		-i *.conf.sample* pool.h || die
+}
+
+src_configure() {
+	local myconf
+	use memcached && \
+		myconf="--with-memcached=\"${EROOT%/}/usr/include/libmemcached\""
+	use pam && myconf+=' --with-pam'
+
+	econf \
+		--disable-rpath \
+		--sysconfdir="${EROOT%/}/etc/${PN}" \
+		$(use_with ssl openssl) \
+		$(use_enable static-libs static) \
+		${myconf}
+}
+
+src_compile() {
+	emake
+
+	emake -C sql
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	emake DESTDIR="${D}" -C sql install
+	cd "${S}"
+
+	# 3.3 appears to have removed this
+	# `contrib' moved to `extension' with PostgreSQL 9.1
+	#local pgslot=$(postgresql-config show)
+	#if [[ ${pgslot//.} > 90 ]] ; then
+	#	cd "${ED%/}$(pg_config --sharedir)"
+	#	mv contrib extension || die
+	#	cd "${S}"
+	#fi
+
+	newinitd "${FILESDIR}/${PN}.initd" ${PN}
+	newconfd "${FILESDIR}/${PN}.confd" ${PN}
+
+	# Documentation
+	dodoc NEWS TODO doc/where_to_send_queries.{pdf,odg}
+	dohtml -r doc
+
+	# Examples and extras
+	insinto "/usr/share/${PN}"
+	doins doc/{pgpool_remote_start,basebackup.sh,recovery.conf.sample}
+	mv "${ED%/}/usr/share/${PN/2/-II}" "${ED%/}/usr/share/${PN}" || die
+
+	# One more thing: Evil la files!
+	find "${ED}" -name '*.la' -exec rm -f {} +
+}


             reply	other threads:[~2016-02-28 20:18 UTC|newest]

Thread overview: 49+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-02-28 20:18 Patrick Lauer [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-06-07 11:07 [gentoo-commits] repo/gentoo:master commit in: dev-db/pgpool2/ Aaron Swenson
2017-02-22 17:11 Patrick Lauer
2017-09-18 18:50 Patrick Lauer
2017-11-03 20:44 Andreas Hüttel
2017-11-09  0:27 Aaron Swenson
2017-12-01 10:57 Aaron Swenson
2017-12-26  0:59 Thomas Deutschmann
2018-01-08  0:16 Mikle Kolyada
2018-01-12 21:35 Aaron Swenson
2018-04-27 20:59 Aaron Swenson
2018-05-13 16:56 Aaron Swenson
2018-05-13 16:56 Aaron Swenson
2018-08-03 13:36 Aaron Swenson
2018-09-10 21:21 Thomas Deutschmann
2018-09-15 17:08 Mikle Kolyada
2018-11-17 23:23 Thomas Deutschmann
2018-11-28 11:26 Aaron W. Swenson
2019-01-07 17:00 Lars Wendler
2019-01-24 22:22 Thomas Deutschmann
2019-02-08  7:45 Mikle Kolyada
2019-02-10 11:57 Aaron W. Swenson
2019-03-07 16:39 Aaron W. Swenson
2019-04-08 15:41 Mikle Kolyada
2019-05-13  0:38 Thomas Deutschmann
2019-05-13 10:37 Aaron W. Swenson
2019-05-23 10:08 Aaron W. Swenson
2019-06-15 10:58 Aaron W. Swenson
2019-07-08 12:10 Thomas Deutschmann
2019-08-02 11:38 Mikle Kolyada
2020-08-14  0:49 Aaron W. Swenson
2020-12-27 12:37 Aaron W. Swenson
2021-02-16 19:22 Sam James
2021-02-17 20:52 Sam James
2021-03-03 12:53 Aaron W. Swenson
2021-05-02 20:15 Mikle Kolyada
2021-07-10 18:54 Sam James
2021-08-22 21:53 David Seifert
2021-08-22 21:53 David Seifert
2022-03-15 15:44 Conrad Kostecki
2022-06-14 10:35 罗百科
2022-10-20 10:52 Jakov Smolić
2022-10-20 10:56 Jakov Smolić
2023-10-05  9:37 罗百科
2023-10-05  9:37 罗百科
2023-12-18  7:45 罗百科
2024-03-11 14:24 Sam James
2024-05-09 23:48 Sam James
2024-06-20  4:31 Patrick Lauer

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1456690619.a7cda3201d7148a07717613419fe2a343904736d.patrick@gentoo \
    --to=patrick@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox